'use strict';

var _urlhelper = require('./urlhelper.js');

var _urlhelper2 = _interopRequireDefault(_urlhelper);

var _nukeEnv = require('../../nuke-env/lib/index.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var loc = void 0;

if (_nukeEnv.isWeex) {
    if (typeof document === 'undefined') {
        loc = _urlhelper2.default.urlParse(typeof window !== 'undefined' && window.hasOwnProperty('location') || '');
    } else {
        loc = _urlhelper2.default.urlParse(document.URL || '');
    }
} else {
    loc = location;
}

module.exports = loc;